#ifndef BOTTOMHITBOX_H
#define BOTTOMHITBOX_H

#include <QObject>
#include <QGraphicsPixmapItem>

class bottomHitbox : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
public:
    explicit bottomHitbox(QPixmap);
    virtual ~bottomHitbox();

public slots:
    void newPos(qreal x,qreal y);
    void emitFallingCheck();

signals:
    void movedHB(bottomHitbox * bottomHB);
    void fallingCheck(bottomHitbox * bottomHB);

private:
    qreal m_x;
    qreal m_y;
};

#endif // BOTTOMHITBOX_H
